# PSF-LoginServer - master - net.psforever.objects.vital.damage.GalaxyGunshipReduction
PSF - LoginServer - master - net.psforever.objects.vital.damage.GalaxyGunshipReduction
Keywords: PSF LoginServer master net.psforever.objects.vital.damage.GalaxyGunshipReduction

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package damage
  Definition Classes
    vital
- DamageCalculations
- DamageModifierFunctions
- DamageProfile
- GalaxyGunshipReduction
- RadialDegrade
- SameHit
- SpecificDamageProfile
- StandardDamageProfile

c

net.psforever.objects.vital.damage

# GalaxyGunshipReduction

###

#### final case class GalaxyGunshipReduction(multiplier: Float) extends Mod with Product with Serializable

The input value degrades (lessens) to the percentage of its original value if the target is a vehicle with no shields. Specifically used for the `galaxy_gunship`.

Source
  DamageModifierFunctions.scala

Linear Supertypes
Serializable, Product, Equals, Mod, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GalaxyGunshipReduction
2. Serializable
3. Product
4. Equals
5. Mod
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new GalaxyGunshipReduction(multiplier: Float)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(damage: Int, data: DamageInteraction, cause: DamageReason): Int
   Definition Classes
     GalaxyGunshipReduction → Mod
6.  final def calculate(damage: Int, data: DamageInteraction): Int

   Perform the underlying calculations, returning a modified value from the input value.

   Perform the underlying calculations, returning a modified value from the input value.

   Definition Classes
     Mod
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val multiplier: Float
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Mod

### Inherited from AnyRef

### Inherited from Any

### Ungrouped